Skip to content

Campaign detail

GET /api/marketing/campaigns/{campaignId}

ad_account_id is required: it resolves the token and guarantees the account belongs to the authenticated client. Requires the marketing:read scope.

StatusDescriptionSchema
200—CampaignDto
Terminal window
curl -X GET https://api.neike.dev/api/marketing/campaigns/{campaignId} \
-H "x-neike-api-key: whk_live_…"
FieldTypeDescription
idstringrequiredExample: "120210000000000000".
namestringrequiredExample: "Tráfico · septiembre".
objectiveAPP_INSTALLS · BRAND_AWARENESS · CONVERSIONS · EVENT_RESPONSES · LEAD_GENERATION · LINK_CLICKS · LOCAL_AWARENESS · MESSAGES · OFFER_CLAIMS · OUTCOME_APP_PROMOTION · OUTCOME_AWARENESS · OUTCOME_ENGAGEMENT · OUTCOME_LEADS · OUTCOME_SALES · OUTCOME_TRAFFIC · PAGE_LIKES · POST_ENGAGEMENT · PRODUCT_CATALOG_SALES · REACH · STORE_VISITS · VIDEO_VIEWSoptional—
statusACTIVE · PAUSED · DELETED · ARCHIVEDoptional—
effective_statusstringoptionalEffective status computed by Meta (includes review statuses and those inherited from the account). It is read-only and has more values than status. Example: "PAUSED".
special_ad_categoriesNONE · EMPLOYMENT · HOUSING · CREDIT · ISSUES_ELECTIONS_POLITICS · ONLINE_GAMBLING_AND_GAMING · FINANCIAL_PRODUCTS_SERVICES[]optional—
buying_typeAUCTION · RESERVEDoptional—
daily_budgetstringoptionalDaily budget in cents. Example: "100000".
lifetime_budgetstringoptionalLifetime budget in cents. Example: "500000".
spend_capstringoptionalSpend cap in cents. Example: "1000000".
bid_strategyLOWEST_COST_WITHOUT_CAP · LOWEST_COST_WITH_BID_CAP · COST_CAP · LOWEST_COST_WITH_MIN_ROASoptional—
start_timestringoptionalExample: "2026-09-01T00:00:00-0300".
stop_timestringoptionalExample: "2026-09-30T23:59:59-0300".
created_timestringoptional—
updated_timestringoptional—